using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class ExamUserExam:ExamBusinessEntity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription ="用户Id")]
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [SugarColumn(ColumnDescription = "考试Id")]
        [Description("考试Id")]
        public string ExamId { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [SugarColumn(ColumnDescription = "考试分数")]
        [Description("考试分数")]
        public int? Score { get; set; }

        /// <summary>
        /// 是否合格
        /// </summary>
        [SugarColumn(ColumnDescription ="是否合格")]
        [Description("是否合格")]
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 考试状态
        /// </summary>
        [SugarColumn(ColumnDescription ="考试状态")]
        [Description("考试状态")]
        public EExamStatus ExamStatus { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [SugarColumn(ColumnDescription ="是否已阅卷")]
        [Description("是否已阅卷")]
        public bool IsCheck { get; set; }

        /// <summary>
        /// 是否交卷
        /// </summary>
        [SugarColumn(ColumnDescription = "是否交卷")]
        [Description("是否交卷")]
        public bool IsSubmit { get; set; }

        /// <summary>
        /// 开始考试时间
        /// </summary>
        [SugarColumn(ColumnDescription = "开始考试时间")]
        [Description("开始考试时间")]
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 是否补考
        /// </summary>
        [SugarColumn(ColumnDescription = "是否补考")]
        [Description("是否补考")]
        public bool? IsReExam { get; set; }
    }
}
